## GoaMediaServer GoaMediaServer — Generated C code for the org.gnome.OnlineAccounts.MediaServer D-Bus interface |

## Functions

GDBusInterfaceInfo * | goa_media_server_interface_info ()
gboolean | goa_media_server_get_dlna_supported ()
void | goa_media_server_set_dlna_supported ()
const gchar * | goa_media_server_get_udn ()
gchar * | goa_media_server_dup_udn ()
void | goa_media_server_set_udn ()
guint | goa_media_server_override_properties ()
void | goa_media_server_proxy_new ()
GoaMediaServer * | goa_media_server_proxy_new_finish ()
GoaMediaServer * | goa_media_server_proxy_new_sync ()
void | goa_media_server_proxy_new_for_bus ()
GoaMediaServer * | goa_media_server_proxy_new_for_bus_finish ()
GoaMediaServer * | goa_media_server_proxy_new_for_bus_sync ()
GoaMediaServer * | goa_media_server_skeleton_new ()

## Properties

gboolean | dlna-supported | Read / Write
char * | udn | Read / Write

## Types and Values

| GoaMediaServer
struct | GoaMediaServerIface
struct | GoaMediaServerProxy
struct | GoaMediaServerProxyClass
struct | GoaMediaServerSkeleton
struct | GoaMediaServerSkeletonClass

## Object Hierarchy

        GInterface
        ╰── GoaMediaServer
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── GoaMediaServerSkeleton
        ╰── GDBusProxy
            ╰── GoaMediaServerProxy

## Prerequisites

GoaMediaServer requires GObject.

## Implemented Interfaces

GoaMediaServerProxy implements GDBusInterface, GInitable, GAsyncInitable and GoaMediaServer.

GoaMediaServerSkeleton implements GDBusInterface and GoaMediaServer.

## Known Implementations

GoaMediaServer is implemented by GoaMediaServerProxy and GoaMediaServerSkeleton.

## Description

This section contains code for working with the org.gnome.OnlineAccounts.MediaServer D-Bus interface in C.

## Functions

### goa_media_server_interface_info ()

    GDBusInterfaceInfo *
    goa_media_server_interface_info (void);

Gets a machine-readable description of the org.gnome.OnlineAccounts.MediaServer D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

Since: 3.14

### goa_media_server_get_dlna_supported ()

    gboolean
    goa_media_server_get_dlna_supported (GoaMediaServer *object);

Gets the value of the "DlnaSupported" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaMediaServer. |

#### Returns

The property value.

Since: 3.14

### goa_media_server_set_dlna_supported ()

    void
    goa_media_server_set_dlna_supported (GoaMediaServer *object,
                                         gboolean value);

Sets the "DlnaSupported" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A GoaMediaServer. |
value | The value to set. |

Since: 3.14

### goa_media_server_get_udn ()

    const gchar *
    goa_media_server_get_udn (GoaMediaServer *object);

Gets the value of the "Udn" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `goa_media_server_dup_udn()` if on another thread.

[skip]

#### Parameters

object | A GoaMediaServer. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

Since: 3.14

### goa_media_server_dup_udn ()

    gchar *
    goa_media_server_dup_udn (GoaMediaServer *object);

Gets a copy of the "Udn" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A GoaMediaServer. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

Since: 3.14

### goa_media_server_set_udn ()

    void
    goa_media_server_set_udn (GoaMediaServer *object,
                              const gchar *value);

Sets the "Udn" D-Bus property to `value` .

Since this D-Bus property is not writable, it is only meaningful to use this function on the service-side.

[skip]

#### Parameters

object | A GoaMediaServer. |
value | The value to set. |

Since: 3.14

### goa_media_server_override_properties ()

    guint
    goa_media_server_override_properties (GObjectClass *klass,
                                          guint property_id_begin);

Overrides all GObject properties in the GoaMediaServer interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

Since: 3.14

### goa_media_server_proxy_new ()

    void
    goa_media_server_proxy_new (GDBusConnection *connection,
                                GDBusProxyFlags flags,
                                const gchar *name,
                                const gchar *object_path,
                                GCancellable *cancellable,
                                GAsyncReadyCallback callback,
                                gpointer user_data);

Asynchronously creates a proxy for the D-Bus interface org.gnome.OnlineAccounts.MediaServer. See `g_dbus_proxy_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `goa_media_server_proxy_new_finish()` to get the result of the operation.

See `goa_media_server_proxy_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

Since: 3.14

### goa_media_server_proxy_new_finish ()

    GoaMediaServer *
    goa_media_server_proxy_new_finish (GAsyncResult *res,
                                       GError **error);

Finishes an operation started with `goa_media_server_proxy_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `goa_media_server_proxy_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GoaMediaServerProxy]

Since: 3.14

### goa_media_server_proxy_new_sync ()

    GoaMediaServer *
    goa_media_server_proxy_new_sync (GDBusConnection *connection,
                                     GDBusProxyFlags flags,
                                     const gchar *name,
                                     const gchar *object_path,
                                     GCancellable *cancellable,
                                     GError **error);

Synchronously creates a proxy for the D-Bus interface org.gnome.OnlineAccounts.MediaServer. See `g_dbus_proxy_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `goa_media_server_proxy_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [nullable]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GoaMediaServerProxy]

Since: 3.14

### goa_media_server_proxy_new_for_bus ()

    void
    goa_media_server_proxy_new_for_bus (GBusType bus_type,
                                        GDBusProxyFlags flags,
                                        const gchar *name,
                                        const gchar *object_path,
                                        GCancellable *cancellable,
                                        GAsyncReadyCallback callback,
                                        gpointer user_data);

Like `goa_media_server_proxy_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `goa_media_server_proxy_new_for_bus_finish()` to get the result of the operation.

See `goa_media_server_proxy_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

Since: 3.14

### goa_media_server_proxy_new_for_bus_finish ()

    GoaMediaServer *
    goa_media_server_proxy_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `goa_media_server_proxy_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `goa_media_server_proxy_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GoaMediaServerProxy]

Since: 3.14

### goa_media_server_proxy_new_for_bus_sync ()

    GoaMediaServer *
    goa_media_server_proxy_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusProxyFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `goa_media_server_proxy_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `goa_media_server_proxy_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusProxyFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL` |

#### Returns

The constructed proxy object or `NULL` if `error` is set.

[transfer full][type GoaMediaServerProxy]

Since: 3.14

### goa_media_server_skeleton_new ()

    GoaMediaServer *
    goa_media_server_skeleton_new (void);

Creates a skeleton object for the D-Bus interface org.gnome.OnlineAccounts.MediaServer.

#### Returns

The skeleton object.

[transfer full][type GoaMediaServerSkeleton]

Since: 3.14

## Types and Values

### GoaMediaServer

    typedef struct _GoaMediaServer GoaMediaServer;

Abstract interface type for the D-Bus interface org.gnome.OnlineAccounts.MediaServer.

Since: 3.14

### struct GoaMediaServerIface

    struct GoaMediaServerIface {
      GTypeInterface parent_iface;

      gboolean  (*get_dlna_supported) (GoaMediaServer *object);

      const gchar * (*get_udn) (GoaMediaServer *object);
    };

Virtual table for the D-Bus interface org.gnome.OnlineAccounts.MediaServer.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`get_dlna_supported` () | Getter for the “dlna-supported” property. |
`get_udn` () | Getter for the “udn” property. |

Since: 3.14

### struct GoaMediaServerProxy

    struct GoaMediaServerProxy;

The GoaMediaServerProxy structure contains only private data and should only be accessed using the provided API.

Since: 3.14

### struct GoaMediaServerProxyClass

    struct GoaMediaServerProxyClass {
      GDBusProxyClass parent_class;
    };

Class structure for GoaMediaServerProxy.

#### Members

Since: 3.14

### struct GoaMediaServerSkeleton

    struct GoaMediaServerSkeleton;

The GoaMediaServerSkeleton structure contains only private data and should only be accessed using the provided API.

Since: 3.14

### struct GoaMediaServerSkeletonClass

    struct GoaMediaServerSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

Class structure for GoaMediaServerSkeleton.

#### Members

Since: 3.14

## Property Details

### The `“dlna-supported”` property

      “dlna-supported”           gboolean

Represents the D-Bus property "DlnaSupported".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: GoaMediaServer

Flags: Read / Write

Default value: FALSE

Since: 3.14

### The `“udn”` property

      “udn”                      char *

Represents the D-Bus property "Udn".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: GoaMediaServer

Flags: Read / Write

Default value: NULL

Since: 3.14